TODO:
==Single Browser==
-Add more effects, filters as necessary
-Implement an Instagram like quick filter panel.
-Clean up cropper
==Slideshow==
-Smoother movement
==Thumb Browser==
Make multi selection smoother
==Other Possibilities==
-Exporting to flickr, facebook, gplus, etc..
-Read straight from a camera
-Show mounted devices
